Subject: RE: [Simple] RPID: what does tuple-type really mean?

From: [email-masked]
Date: Thu, 1 Jul 2004 12:05:42 +0300

> > Ok, let's try to sort this out. As far as I know attributes in XML 
> > don't belong to any namespace. This means that if we want 
> to have id 
> > attribute in <device> we need to separately define it 
> within <device>. 
> > This id also has (in XML) nothing to do with <tuple> id. Now, if 
> > somebody would define a new element <foo> which would also have id  
> > attribute (with different semantics) client would have no way to 
> > distinguish this from <tuple> id or from <device> id. This more or 
> > less means that client must be explicitly aware of <device> element.
> 
> I don't think that has to be the case. If you got an update that 
> indicated that the document changed through the deletion of 
> an element 
> with id 3, the client could go through its current version of the 
> document, select all elements under <presence> that have an "id" 
> attribute with value 3, and delete them. This would work no 
> matter what 
> the name of those elements are.

Right, but what about the case when the watcher doesn't understand the
element. Does watcher always parse elements if they belong to a
namespace that it doesn't recognize? 
If it doesn't then watcher will probably ignore that particular element.
This should not cause any troubles until that kind of element is removed
because 'id' element reported in <remove> element doesn't exist in local
copy. This can probably be specified so that if 'id' doesn't exist in
local copy watcher should ignore that 'id' value. 

> Similarly, when an element shows up in a partial document, the client 
> finds the matching one in its current document by matching 
> the element 
> name and id value, and updates it. This could also work without the 
> client needing to understand the semantics of device.
> 
> For this to work though, I think the partial notification 
> documents need 
> to be clear that the algorithms apply to any child elements of 
> <presence>, even ones not understood by the client, so long 
> as they all 
> have an "id" element.

If the algorithm applies to elements which are direct child elements
(only one level below) to <presence> then this can be made to work. Or
did you intend this to work with _any_ element under <presence>?

- Mikko 

> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple